Bug 437916 - RHEL5 upgrade renders Xen kernel unbootable
RHEL5 upgrade renders Xen kernel unbootable
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.2
x86_64 Linux
medium Severity low
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-18 01:21 EDT by Jeffrey Needham
Modified: 2009-05-19 15:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-19 15:28:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey Needham 2008-03-18 01:21:48 EDT
Description of problem:
upgrade install leaves the (upgraded) Xen kernel un-bootable

Version-Release number of selected component (if applicable):
RHEL5.1 to RHEL5.2 beta

How reproducible:
Execute an upgrade install on a RHEL5.1 install that has both a Xen and non-Xen
kernel

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Booting 'Red Hat .... 2.6.18-84xen)'

Root (hd0,0)
 Filesystem type is ext2fs, partitiion type 0x83
Kernel /vmlinux-2.6.18-84.el5xen ro root=LABEL=/

Error 13: Invalid or unsupported executable format

Press any key to continue ...


Expected results:


Additional info:
If I then select the non-xen -84 kernel it comes up fine.

I then (from experience) force install the xen kernel

rpm -ihv --force kernel-xen-2-xxxxxxxxxx.rpm

And then it is fine.

This has actually been around since 5.0
Comment 1 Jeffrey Needham 2008-04-23 15:32:48 EDT
In setting up an private yum mirror source (rsynced from porkchop), I noticed
that I had to rebuild the repos for VT. yum update would complain that xen was a
missing dependancy for xen-libs.  Once the repo was rebuild for VT, it could
satisfy yum.  The tree that I use to do the update install is unpacked from a
set of ISO and placed on NFS.  Maybe the Cluster rpms don't get updated because
I should have rebuild the Cluster and ClusterStorage repos after I unpacked this
tree?

I will rebuild the repos and then attempt an upgrade install on Node2.

Comment 2 Chris Lumens 2008-11-11 17:52:48 EST
Is this still the case with 5.3?  I know there have been some problems lately with the comps files for the various other products causing kernel modules and kernels to get pulled in that otherwise shouldn't.
Comment 3 Jeffrey Needham 2008-11-11 23:38:54 EST
I probably need to first verify if it was fixed in 5.2 production and/or test the 5.2/5.3 update install as well.
Comment 4 Brock Organ 2009-01-29 09:35:35 EST
Hi Jeff,

upgrades to beta frequently have issues (that we try to have resolved in GA), please let us know if you have an issue upgrading from RHEL 5.1 to RHEL 5.2 GA, or to RHEL 5.3 GA.

Note You need to log in before you can comment on or make changes to this bug.